Subject: Re: [bug#51543] [PATCH 2/2] doc: Document‘home-bash-extension’ configuration record.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 01 Nov 2021 17:38:52 +0100

Hi,

Am Montag, den 01.11.2021, 14:22 +0100 schrieb Xinglu Chen:
> [...]
> 
> The keys should be strings; the rules for
> ‘home-environment-variable-service-type’ apply here (see “11.3.1
> Essential Home Services”).
You might want to explicitly state that.

> > At which point are these fields inserted into which files (e.g. do
> > the aliases come before profile or after it)?
> 
> Good question!  The contents of ‘aliases’ and ‘bashrc’ are put into
> ~/.bashrc, in that order.  The contents of ‘bash-profile’ and
> ‘environment-variables’ are put into ~/.bash_profile, in that order.
> This doesn’t seem that consistent, is there any preference to what
> order should be used?
You can use whichever makes sense to you, I'm just pointing out that it
ought to be documented.

> > If some field is already described as part of home-bash-service,
> > you might also want to link back to it, but you should still state
> > where the extension occurs.  Is new code added to the front or to
> > the back for instance.  (On that note, is the text-config type
> > well-documented?)
> 
> I don’t think there is a way to link to ‘home-bash-configuration’
> using Texinfo; one can only link to “Shells Home Services”.
Texinfo should support anchors, which can point to arbitrary text.  Of
course one could overdo it by linking each and every field, but imho
having one link for context is better than none.

Thoughts?